using APT.BaseData.Domain.Entities;
using APT.Infrastructure.EF.Map;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace APT.BaseData.Data.Mapping
{
	public class PFFormQueryMap : APTEntityBaseMap<T_PF_FORM_QUERY>
	{
		public override void Configure(EntityTypeBuilder<T_PF_FORM_QUERY> builder)
		{
			base.Configure(builder);

			builder.Property(t => t.LABEL)
						  .HasMaxLength(30);
			builder.Property(t => t.CODE).HasMaxLength(20);
			builder.Property(t => t.TABLE_NAME).HasMaxLength(50);
			builder.Property(t => t.SHARE_KEY).HasMaxLength(30);
			builder.HasOne(t => t.Nav_PageForm).WithMany().
				HasForeignKey(t => t.PAGE_FORM_ID);
			 
		}
	}
}
